/// Ascii码常量表
/// angle brackets for <> 尖括号
/// round brackets for () 圆括号
/// curly brackets for {} 花括号
/// square brackets for [] 方括号
class Ascii {
  // 退格
  static const int CODE_BS = 8;
  static const String STR_BS = '\b';

  // 水平定位符号
  static const int CODE_HT = 9;
  static const String STR_HT = '\t';

  // 换行键
  static const int CODE_LF = 10;
  static const String STR_LF = '\n';

  // 换页键
  static const int CODE_FF = 12;
  static const String STR_FF = '\f';

  // 回车
  static const int CODE_CR = 13;
  static const String STR_CR = '\r';

  // 空格
  static const int CODE_SPACE = 32;
  static const String STR_SPACE = ' ';

  // 双引号
  static const int CODE_DOUBLE_QUOTES = 34;
  static const String STR_DOUBLE_QUOTES = '"';

  // 井号
  static const int CODE_HASH = 35;
  static const String STR_HASH = '#';

  // 单引号
  static const int CODE_SINGLE_QUOTES = 39;
  static const String STR_SINGLE_QUOTES = '\'';

  // 星号
  static const int CODE_ASTERISK = 42;
  static const String STR_ASTERISK = '*';

  // 逗号
  static const int CODE_COMMA = 44;
  static const String STR_COMMA = ',';

  // 斜杠
  static const int CODE_SLASH = 47;
  static const String STR_SLASH = '/';

  // 冒号
  static const int CODE_COLON = 58;
  static const String STR_COLON = ':';

  // 分号
  static const int CODE_SEMICOLON = 59;
  static const String STR_SEMICOLON = ';';

  // 等于号
  static const int CODE_EQUAL = 61;
  static const String STR_EQUAL = '=';

  // 反斜杠
  static const int CODE_BACK_SLASH = 92;
  static const String STR_BACK_SLASH = '\\';

  // 左中括号
  static const int CODE_LEFT_SQUARE_BRACKET = 91;
  static const String STR_LEFT_SQUARE_BRACKET = '[';

  // 右中括号
  static const int CODE_RIGHT_SQUARE_BRACKET = 93;
  static const String STR_RIGHT_SQUARE_BRACKET = ']';

  // 左花括号
  static const int CODE_LEFT_CURLY_BRACKET = 123;
  static const String STR_LEFT_CURLY_BRACKET = '{';

  // 右花括号
  static const int CODE_RIGHT_CURLY_BRACKET = 125;
  static const String STR_RIGHT_CURLY_BRACKET = '}';
}

